Ubuntu

1410:b001 Verizon Wireless USB551L 4G Wireless Card detected as wired NIC

Reported by Andy Pastuszak on 2011-11-04
36
This bug affects 4 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

Whenever I plug in my Verizon Wireless USB551L 4G Broadband card, it is detected as a wired NIC (eth1 in my case), and I cannot set up a broadband connection.

dmesg | tail shows the following when I unplug and plug in the card:

[ 9769.233329] usb 1-1.2: new high speed USB device number 5 using ehci_hcd
[ 9769.326988] usb 1-1.2: config 1 has an invalid interface number: 6 but max is 5
[ 9769.326993] usb 1-1.2: config 1 has an invalid interface number: 7 but max is 5
[ 9769.326997] usb 1-1.2: config 1 has an invalid interface number: 7 but max is 5
[ 9769.327001] usb 1-1.2: config 1 has no interface number 3
[ 9769.327003] usb 1-1.2: config 1 has no interface number 5
[ 9769.332322] cdc_ether 1-1.2:1.6: eth1: register 'cdc_ether' at usb-0000:00:1a.0-1.2, CDC Ethernet Device, 00:a0:c6:00:00:00

usb-devices shows:

T: Bus=01 Lev=02 Prnt=02 Port=01 Cnt=01 Dev#= 5 Spd=480 MxCh= 0
D: Ver= 2.00 Cls=ef(misc ) Sub=02 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=1410 ProdID=b001 Rev=00.15
S: Manufacturer=Novatel Wireless, Inc.
S: Product=Novatel Wireless 4G
S: SerialNumber=990000462055731
C: #Ifs= 6 Cfg#= 1 Atr=e0 MxPwr=500mA
I: If#= 0 Alt= 0 #EPs= 3 Cls=ff(vend.) Sub=ff Prot=ff Driver=(none)
I: If#= 1 Alt= 0 #EPs= 2 Cls=ff(vend.) Sub=ff Prot=ff Driver=(none)
I: If#= 2 Alt= 0 #EPs= 2 Cls=ff(vend.) Sub=ff Prot=ff Driver=(none)
I: If#= 4 Alt= 0 #EPs= 2 Cls=ff(vend.) Sub=ff Prot=ff Driver=(none)
I: If#= 6 Alt= 0 #EPs= 1 Cls=02(commc) Sub=06 Prot=00 Driver=cdc_ether
I: If#= 7 Alt= 1 #EPs= 2 Cls=0a(data ) Sub=00 Prot=00 Driver=cdc_ether
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 1.23-0ubuntu4
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: CONEXANT Analog [CONEXANT Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: andy 1633 F.... pulseaudio
 /dev/snd/controlC0: andy 1633 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf2420000 irq 45'
   Mixer name : 'Conexant CX20585'
   Components : 'HDA:14f15069,17aa214c,00100302 HDA:14f12c06,17aa2122,00100000'
   Controls : 8
   Simple ctrls : 5
Card1.Amixer.info:
 Card hw:1 'NVidia'/'HDA NVidia at 0xcdefc000 irq 16'
   Mixer name : 'Nvidia GPU 0b HDMI/DP'
   Components : 'HDA:10de000b,10de0101,00100100'
   Controls : 16
   Simple ctrls : 4
Card29.Amixer.info:
 Card hw:29 'ThinkPadEC'/'ThinkPad Console Audio Control at EC reg 0x30, fw 6IHT39WW-1.14'
   Mixer name : 'ThinkPad EC 6IHT39WW-1.14'
   Components : ''
   Controls : 1
   Simple ctrls : 1
Card29.Amixer.values:
 Simple mixer control 'Console',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
DistroRelease: Ubuntu 11.10
HibernationDevice: RESUME=UUID=feea0b47-de51-4a80-b4f3-9f813539bacb
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
MachineType: LENOVO 2537NR1
NonfreeKernelModules: nvidia
Package: linux (not installed)
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-12-generic root=UUID=c79d1764-fdcd-479b-ae8c-23b38c084628 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.0.0-12.20-generic 3.0.4
RelatedPackageVersions:
 linux-restricted-modules-3.0.0-12-generic N/A
 linux-backports-modules-3.0.0-12-generic N/A
 linux-firmware 1.60
StagingDrivers: mei
Tags: oneiric running-unity staging
Uname: Linux 3.0.0-12-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 04/14/2011
dmi.bios.vendor: LENOVO
dmi.bios.version: 6IET76WW (1.36 )
dmi.board.name: 2537NR1
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr6IET76WW(1.36):bd04/14/2011:svnLENOVO:pn2537NR1:pvrThinkPadT410:rvnLENOVO:rn2537NR1:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 2537NR1
dmi.product.version: ThinkPad T410
dmi.sys.vendor: LENOVO

Phil. V (philip.v) wrote :

Thanks for your bug report. I'm going to file this against the kernel as it concerns a hardware driver problem (or lack thereof). A quick google search shows a lot of other users have problems with this specific wireless card, and it seems to me as if there just isn't a driver for it yet. You may want to try a newer version of the kernel to see if support has been added for your card. In any case please run the following command in a terminal and then change the status of this bug to confirmed:
apport-collect 886130

That will add relevant system information to your bug report, and a member of the Ubuntu kernel team should give you further instructions after that.

affects: ubuntu → linux (Ubuntu)
Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: hw-specific

apport information

tags: added: apport-collected oneiric running-unity staging
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

apport information

apport information

apport information

apport information

Windows 7 64-bit also treats the card as a NIC instead of a modem.

Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . If possible, please test the latest kernel (Not a kernel in the daily directory). Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag(Only that one tag, please leave the others). This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed by the mainline kernel, please add the following tag 'kernel-fixed-upstream-KERNEL-VERSION'. For example, if kernel version 3.1-rc9 fixed and issue, the tag would be: 'kernel-fixed-upstream-v3.1-rc9'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Thanks in advance.

tags: added: needs-upstream-testing
Mark Deneen (mdeneen) wrote :

This card won't work with any upstream kernel. Here's what is needed:

Add the USB PID/VID to drivers/usb/serial/option.c

This will get you /dev/ttyUSB0 -> /dev/ttyUSB3

/dev/ttyUSB0 is the command port. Issue the following command on that port:

At$nwqmiconnect=,,

This will connect the card to the cell network. Then cdc_ether takes over and you can run a dhcp client on the interface created by the cdc_ether driver. Once this happens, you should have an ip address, gateway, etc and you should be able to connect to the internet.

Some more AT commands:
To disconnect: At$nwqmidisconnect
To get status: At$nwqmistatus
To get signal strength: At$nwrssi
To get your ip address: at+cgpaddr
To see if the SIM is registered: at$qcsimstat

I don't really understand the SIM registration, since it is a CDMA card without a SIM, but it responds with: $QCSIMSTAT: 0,SIM INIT COMPLETED

Mark Deneen (mdeneen) wrote :

I should also mention that I did a few speed tests with this card. At my location (Eastern Pennsylvania) I was averaging ~10 megabit down and 6 megabit up during business hours.

Andy Pastuszak (apastuszak) wrote :

The reason you need a SIM, is because the 4G technology Verizon is rolling out is LTE, which is a GSM variant that requires a SIM card. As long as the card gets a 4G signal it will use the SIM card and establish a GSM connection. If it looses the LTE signal, it will failover to 3G, which is CDMA. And it doesn't do it gracefully either. Any active connections you have open (downloads, VPN, etc) will drop.

Mark Deneen (mdeneen) wrote :

Andy,

I just opened a hidden compartment in the card. You are correct; there is a SIM inside.

Mark

Josh Cogliati (jjcogliati-r1) wrote :

Mark Deneen, can you attach the patch you made for drivers/usb/serial/option.c

Mark Deneen (mdeneen) wrote :

Josh,

This patch applies to kernel 2.6.39.x (I know, it's old)

diff -ru a/drivers/usb/serial/option.c b/drivers/usb/serial/option.c
--- a/drivers/usb/serial/option.c 2011-12-20 15:30:02.264373900 -0500
+++ b/drivers/usb/serial/option.c 2011-12-20 15:54:19.546936762 -0500
@@ -197,6 +197,7 @@
 /* OVATION PRODUCTS */
 #define NOVATELWIRELESS_PRODUCT_MC727 0x4100
 #define NOVATELWIRELESS_PRODUCT_MC950D 0x4400
+#define NOVATELWIRELESS_PRODUCT_MC551 0xB001
 /*
  * Note from Novatel Wireless:
  * All PID in the 5xxx range are currently reserved for
@@ -586,6 +587,7 @@
        { USB_DEVICE(NOVATELWIRELESS_VENDOR_ID, NOVATELWIRELESS_PRODUCT_G1) },
        { USB_DEVICE(NOVATELWIRELESS_VENDOR_ID, NOVATELWIRELESS_PRODUCT_G1_M) },
        { USB_DEVICE(NOVATELWIRELESS_VENDOR_ID, NOVATELWIRELESS_PRODUCT_G2) },
+ { USB_DEVICE_AND_INTERFACE_INFO(NOVATELWIRELESS_VENDOR_ID, NOVATELWIRELESS_PRODUCT_MC551, 0xff, 0xff, 0xff) },

        { USB_DEVICE(AMOI_VENDOR_ID, AMOI_PRODUCT_H01) },
        { USB_DEVICE(AMOI_VENDOR_ID, AMOI_PRODUCT_H01A) },

However, it's small enough that it can be applied manually to any recent kernel.

Heiichiro NAKAMURA (nhe) wrote :

Or just executing
  /sbin/modprobe option
  /bin/echo "1410 b001" > /sys/bus/usb-serial/drivers/option1/new_id
to enable tty I/F of usb551L.

However, usb551L also has CDC-Ether interface, which should
be faster than PPP I/F if it can be enabled:

T: Bus=02 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#= 2 Spd=480 MxCh= 0
D: Ver= 2.00 Cls=ef(misc ) Sub=02 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=1410 ProdID=b001 Rev=00.15
S: Manufacturer=Novatel Wireless, Inc.
S: Product=Novatel Wireless 4G
S: SerialNumber=990000XXXXXXXX
C: #Ifs= 6 Cfg#= 1 Atr=e0 MxPwr=500mA
I: If#= 0 Alt= 0 #EPs= 3 Cls=ff(vend.) Sub=ff Prot=ff Driver=option
I: If#= 1 Alt= 0 #EPs= 2 Cls=ff(vend.) Sub=ff Prot=ff Driver=option
I: If#= 2 Alt= 0 #EPs= 2 Cls=ff(vend.) Sub=ff Prot=ff Driver=option
I: If#= 4 Alt= 0 #EPs= 2 Cls=ff(vend.) Sub=ff Prot=ff Driver=option
I: If#= 6 Alt= 0 #EPs= 1 Cls=02(commc) Sub=06 Prot=00 Driver=cdc_ether
I: If#= 7 Alt= 1 #EPs= 2 Cls=0a(data ) Sub=00 Prot=00 Driver=cdc_ether

But I haven't got succeeded yet.

Mark Deneen (mdeneen) wrote :

I've used the CDC-Ether interface here. Use the AT commands above to get the port in the right state and then run dhclient to configure the interface.

Heiichiro NAKAMURA (nhe) wrote :

By doing Mark's way (At$nwqmiconnect=,,) I got connected through cdc-ether port. Thank you Mark.
Now I'm wondering if there is a way to choose network (i.e. LTE or CDMA), as sometimes CDMA is preferable in terms of stability.

Heiichiro NAKAMURA (nhe) wrote :

seem like "AT$NWBAND=" is the way to set network technology?

Mark Deneen (mdeneen) wrote :

Heiichiro,

Let me know what you find out regarding AT$NWBAND. I'm guessing that this is something similar to the SELRAT command on Sierra Wireless modems. That is, it lets you select your preferred technology but will fall back to CDMA if LTE is not available.

If this is true, then the NWBAND command would be useful if you have a strong CDMA signal but a weak LTE signal.

Mark

Josh Cogliati (jjcogliati-r1) wrote :

Thank you Heiichiro NAKAMURA (nhe) and Mark Deneen (mdeneen). I am now able to get online.

Josh Cogliati (jjcogliati-r1) wrote :

Note that getting it working is somewhat tricky. Here is an order that worked for me:

1. Boot up computer and login
2. Plug in USB551L modem
3. Wait for network manager to detect the modem as a wired device
4. Run:
/sbin/modprobe option; /bin/echo "1410 b001" > /sys/bus/usb-serial/drivers/option1/new_id

5. Run:
minicom -D /dev/ttyUSB0

6. In minicom run (The first status command should returned disconnected, the second status command should tell you it is connected):
At$nwqmistatus
At$nwqmiconnect=,,
At$nwqmistatus

Then the modem usually worked for me.

If I ran:
/sbin/modprobe option; /bin/echo "1410 b001" > /sys/bus/usb-serial/drivers/option1/new_id

before I plugged in the modem, network manager detects it as a broadband modem, and the internet connection does not work, and At$nwqmistatus would tell me it was disconnected even after running At$nwqmiconnect=,,

Resetting Linux/network manager to re-recognize the modem seemed to require rebooting.

Josh Cogliati (jjcogliati-r1) wrote :

Sometimes:
At$nwqmistatus
causes the modem to return:
$NWQMISTATUS: QMI_RESULT_FAILURE:QMI_ERR_CALL_FAILED
        QMI State: DISCONNECTED
        Call End Reason:2
        Call Duration: 0 seconds
$NWQMISTATUS: QMI_RESULT_SUCCESS:QMI_ERR_NONE
        QMI State: DISCONNECTED
        Call End Reason:0
        Call Duration: 0 seconds

OK

at which point it does not seem to work no matter what I try.

madbiologist (me-again) wrote :

A patch to support this device was added to the recently released upstream kernel 3.4, and to the upstream stable kernel 3.2.18. The latter should be coming to Ubuntu 12.04 "Precise Pangolin" as an SRU at some point in the future.

From the kernel 3.2.18 changelog:

author Dan Williams
Mon, 7 May 2012 04:24:51 +0000 (04:24 +0000)
committer Ben Hutchings
Sun, 20 May 2012 21:56:49 +0000 (22:56 +0100)
commit b31a26af02788341aa8b9b1490ca30fb0bc47389
tree d11202443c8506e4b779398599eb1a1e038b782a
parent d2636838e87a2eb7bb40e25864cc3a090d0df11b

cdc_ether: add Novatel USB551L device IDs for FLAG_WWAN

commit 4e6304b8420aba5311ba21fd68dab2924ae4d91a upstream.

Needs to be tagged with FLAG_WWAN, which since it has generic
descriptors, won't happen if we don't override the generic
driver info.

Cc: Oliver Neukum
Signed-off-by: Dan Williams
Acked-by: Oliver Neukum
Signed-off-by: David S. Miller
Signed-off-by: Ben Hutchings

If you want to try this in the meantime, a PPA of kernel 3.2.18 is available at http://kernel.ubuntu.com/~kernel-ppa/mainline/

Changed in linux (Ubuntu):
status: Confirmed → Fix Committed
madbiologist (me-again) wrote :

The abovementioned patch is now included in Ubuntu kernel 3.2.0-25.40, which is currently available in precise-proposed. Please test and report here. For instructions on how to enable and use -proposed, see https://wiki.ubuntu.com/Testing/EnableProposed

Julian Wiedmann (jwiedmann) wrote :

Andy,
the previously mentioned patch has landed in oneiric-updates (3.0.0-21.35) and precise-updates (3.2.0-25.40) - please update and see if this issue persists.

madbiologist (me-again) on 2012-06-14
Changed in linux (Ubuntu):
status: Fix Committed → Incomplete
Download full text (5.2 KiB)

I will test in a few hours. Thanks for letting me know.

Andy

On Thu, Jun 14, 2012 at 5:54 AM, Julian Wiedmann
<email address hidden> wrote:
> Andy,
> the previously mentioned patch has landed in oneiric-updates (3.0.0-21.35) and precise-updates (3.2.0-25.40) - please update and see if this issue persists.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/886130
>
> Title:
>  Verizon Wireless USB551L 4G Wireless Card detected as wired NIC
>
> Status in “linux” package in Ubuntu:
>  Fix Committed
>
> Bug description:
>  Whenever I plug in my Verizon Wireless USB551L 4G Broadband card, it
>  is detected as a wired NIC (eth1 in my case), and I cannot set up a
>  broadband connection.
>
>  dmesg | tail shows the following when I unplug and plug in the card:
>
>  [ 9769.233329] usb 1-1.2: new high speed USB device number 5 using ehci_hcd
>  [ 9769.326988] usb 1-1.2: config 1 has an invalid interface number: 6 but max is 5
>  [ 9769.326993] usb 1-1.2: config 1 has an invalid interface number: 7 but max is 5
>  [ 9769.326997] usb 1-1.2: config 1 has an invalid interface number: 7 but max is 5
>  [ 9769.327001] usb 1-1.2: config 1 has no interface number 3
>  [ 9769.327003] usb 1-1.2: config 1 has no interface number 5
>  [ 9769.332322] cdc_ether 1-1.2:1.6: eth1: register 'cdc_ether' at usb-0000:00:1a.0-1.2, CDC Ethernet Device, 00:a0:c6:00:00:00
>
>  usb-devices shows:
>
>  T:  Bus=01 Lev=02 Prnt=02 Port=01 Cnt=01 Dev#=  5 Spd=480 MxCh= 0
>  D:  Ver= 2.00 Cls=ef(misc ) Sub=02 Prot=01 MxPS=64 #Cfgs=  1
>  P:  Vendor=1410 ProdID=b001 Rev=00.15
>  S:  Manufacturer=Novatel Wireless, Inc.
>  S:  Product=Novatel Wireless 4G
>  S:  SerialNumber=990000462055731
>  C:  #Ifs= 6 Cfg#= 1 Atr=e0 MxPwr=500mA
>  I:  If#= 0 Alt= 0 #EPs= 3 Cls=ff(vend.) Sub=ff Prot=ff Driver=(none)
>  I:  If#= 1 Alt= 0 #EPs= 2 Cls=ff(vend.) Sub=ff Prot=ff Driver=(none)
>  I:  If#= 2 Alt= 0 #EPs= 2 Cls=ff(vend.) Sub=ff Prot=ff Driver=(none)
>  I:  If#= 4 Alt= 0 #EPs= 2 Cls=ff(vend.) Sub=ff Prot=ff Driver=(none)
>  I:  If#= 6 Alt= 0 #EPs= 1 Cls=02(commc) Sub=06 Prot=00 Driver=cdc_ether
>  I:  If#= 7 Alt= 1 #EPs= 2 Cls=0a(data ) Sub=00 Prot=00 Driver=cdc_ether
>  ---
>  AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
>  ApportVersion: 1.23-0ubuntu4
>  Architecture: amd64
>  ArecordDevices:
>   **** List of CAPTURE Hardware Devices ****
>   card 0: Intel [HDA Intel], device 0: CONEXANT Analog [CONEXANT Analog]
>     Subdevices: 1/1
>     Subdevice #0: subdevice #0
>  AudioDevicesInUse:
>   USER        PID ACCESS COMMAND
>   /dev/snd/controlC1:  andy       1633 F.... pulseaudio
>   /dev/snd/controlC0:  andy       1633 F.... pulseaudio
>  CRDA: Error: [Errno 2] No such file or directory
>  Card0.Amixer.info:
>   Card hw:0 'Intel'/'HDA Intel at 0xf2420000 irq 45'
>     Mixer name : 'Conexant CX20585'
>     Components : 'HDA:14f15069,17aa214c,00100302 HDA:14f12c06,17aa2122,00100000'
>     Controls      : 8
>     Simple ctrls  : 5
>  Card1.Amixer.info:
>   Card hw:1 'NVidia'/'HDA NVidia at 0xcdefc000 irq 16'
>     Mixer name : 'Nvidia GPU 0b HDMI/DP'
>     Components : 'HDA:10de000b,10de...

Read more...

Andy Pastuszak (apastuszak) wrote :
Download full text (5.3 KiB)

3.2.0.25.27 is what is available through update manager. What do I
need to do to get 3.2.0.25.40?

Andy

On Thu, Jun 14, 2012 at 5:54 AM, Julian Wiedmann
<email address hidden> wrote:
> Andy,
> the previously mentioned patch has landed in oneiric-updates (3.0.0-21.35) and precise-updates (3.2.0-25.40) - please update and see if this issue persists.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/886130
>
> Title:
>  Verizon Wireless USB551L 4G Wireless Card detected as wired NIC
>
> Status in “linux” package in Ubuntu:
>  Fix Committed
>
> Bug description:
>  Whenever I plug in my Verizon Wireless USB551L 4G Broadband card, it
>  is detected as a wired NIC (eth1 in my case), and I cannot set up a
>  broadband connection.
>
>  dmesg | tail shows the following when I unplug and plug in the card:
>
>  [ 9769.233329] usb 1-1.2: new high speed USB device number 5 using ehci_hcd
>  [ 9769.326988] usb 1-1.2: config 1 has an invalid interface number: 6 but max is 5
>  [ 9769.326993] usb 1-1.2: config 1 has an invalid interface number: 7 but max is 5
>  [ 9769.326997] usb 1-1.2: config 1 has an invalid interface number: 7 but max is 5
>  [ 9769.327001] usb 1-1.2: config 1 has no interface number 3
>  [ 9769.327003] usb 1-1.2: config 1 has no interface number 5
>  [ 9769.332322] cdc_ether 1-1.2:1.6: eth1: register 'cdc_ether' at usb-0000:00:1a.0-1.2, CDC Ethernet Device, 00:a0:c6:00:00:00
>
>  usb-devices shows:
>
>  T:  Bus=01 Lev=02 Prnt=02 Port=01 Cnt=01 Dev#=  5 Spd=480 MxCh= 0
>  D:  Ver= 2.00 Cls=ef(misc ) Sub=02 Prot=01 MxPS=64 #Cfgs=  1
>  P:  Vendor=1410 ProdID=b001 Rev=00.15
>  S:  Manufacturer=Novatel Wireless, Inc.
>  S:  Product=Novatel Wireless 4G
>  S:  SerialNumber=990000462055731
>  C:  #Ifs= 6 Cfg#= 1 Atr=e0 MxPwr=500mA
>  I:  If#= 0 Alt= 0 #EPs= 3 Cls=ff(vend.) Sub=ff Prot=ff Driver=(none)
>  I:  If#= 1 Alt= 0 #EPs= 2 Cls=ff(vend.) Sub=ff Prot=ff Driver=(none)
>  I:  If#= 2 Alt= 0 #EPs= 2 Cls=ff(vend.) Sub=ff Prot=ff Driver=(none)
>  I:  If#= 4 Alt= 0 #EPs= 2 Cls=ff(vend.) Sub=ff Prot=ff Driver=(none)
>  I:  If#= 6 Alt= 0 #EPs= 1 Cls=02(commc) Sub=06 Prot=00 Driver=cdc_ether
>  I:  If#= 7 Alt= 1 #EPs= 2 Cls=0a(data ) Sub=00 Prot=00 Driver=cdc_ether
>  ---
>  AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
>  ApportVersion: 1.23-0ubuntu4
>  Architecture: amd64
>  ArecordDevices:
>   **** List of CAPTURE Hardware Devices ****
>   card 0: Intel [HDA Intel], device 0: CONEXANT Analog [CONEXANT Analog]
>     Subdevices: 1/1
>     Subdevice #0: subdevice #0
>  AudioDevicesInUse:
>   USER        PID ACCESS COMMAND
>   /dev/snd/controlC1:  andy       1633 F.... pulseaudio
>   /dev/snd/controlC0:  andy       1633 F.... pulseaudio
>  CRDA: Error: [Errno 2] No such file or directory
>  Card0.Amixer.info:
>   Card hw:0 'Intel'/'HDA Intel at 0xf2420000 irq 45'
>     Mixer name : 'Conexant CX20585'
>     Components : 'HDA:14f15069,17aa214c,00100302 HDA:14f12c06,17aa2122,00100000'
>     Controls      : 8
>     Simple ctrls  : 5
>  Card1.Amixer.info:
>   Card hw:1 'NVidia'/'HDA NVidia at 0xcdefc000 irq 16'
>     Mixer name : 'Nvidia GPU 0b HDMI/...

Read more...

That's the -meta package's version - updating it will create a new dependency on the latest linux-image (linux-image-3.2.0-25-generic aka 3.2.0-25.40), thus pulling in the new kernel. So yes, this is the update you want to install.

Andy Pastuszak (apastuszak) wrote :

So, I installed the latest kernel and rebooted. The card no longer shows up as a second NIC. But it's also not available as a Mobile Broadband device I can add either. Is there some procedure I should be following to get the device working properly?

John Langford (m-jl) wrote :

I had the same experience as Andy.

The cdc_ether interface is working reliably for me with 3.2.0-24 with a download speed around 29Mb/s and an upload speed around 6Mb/s. Getting it started up is somewhat unreliable. Essentially, I hit the modem with a trivial chat script until it works:

'' At$nwqmiconnect=,,

For reasons unclear to me, 'echo' doesn't work that well.

Frank Martens (ballparkfm) wrote :

Is there a way to only compile the "option.c" and replace the "option.ko" file?

I don't want to have to rebuild the entire kernel.

madbiologist (me-again) on 2012-07-01
Changed in linux (Ubuntu):
status: Incomplete → Fix Committed
madbiologist (me-again) wrote :

@Frank - DKMS maybe? I've never done it before, but it is used by Ubuntu's ALSA team to provide the latest ALSA snapshots, so it might be useful in this case too. See https://help.ubuntu.com/community/DKMS

tags: added: bios-outdated-1.45
summary: - Verizon Wireless USB551L 4G Wireless Card detected as wired NIC
+ 1410:b001 Verizon Wireless USB551L 4G Wireless Card detected as wired
+ NIC

Andy Pastuszak, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

If reproducible, could you also please test the latest upstream kernel available (not the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.13-rc5

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Fix Committed → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.